
/*
 *  Diverse Bristol audio routines.
 *  Copyright (c) by Nick Copeland <nick.copeland@ntlworld.com> 1996,2002
 *
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#define DEVICE_COUNT 29

static brightonLocations locations[DEVICE_COUNT] = {
/* CONTROL */
	{0, 30, 100, 130, 250, 0, 0, 0, 0},
	{0, 30, 400, 130, 550, 0, 0, 0, 0},
	{0, 30, 700, 130, 850, 0, 0, 0, 0},
/* OSCILATORS */
	{0, 135, 100, 255, 250, 0, 0, 0, 0},
	{0, 310, 100, 410, 250, 0, 0, 0, 0},
	{0, 135, 400, 255, 550, 0, 0, 0, 0},
	{0, 215, 380, 355, 580, 0, 0, 0, 0},
	{0, 310, 400, 410, 550, 0, 0, 0, 0},
	{0, 135, 700, 255, 850, 0, 0, 0, 0},
	{0, 215, 680, 355, 880, 0, 0, 0, 0},
	{0, 310, 700, 410, 850, 0, 0, 0, 0},
/* MIXER */
	{0, 400, 100, 510, 250, 0, 0, 0, 0},
	{0, 400, 400, 510, 550, 0, 0, 0, 0},
	{0, 400, 700, 510, 850, 0, 0, 0, 0},
	{0, 550, 250, 660, 400, 0, 0, 0, 0},
	{0, 550, 550, 660, 700, 0, 0, 0, 0},
/* ADSR */
	{0, 655, 700, 775, 850, 0, 0, 0, 0},
	{0, 735, 700, 835, 850, 0, 0, 0, 0},
	{0, 810, 700, 910, 850, 0, 0, 0, 0},
/* ANOTHER ADSR */
	{0, 655, 100, 775, 250, 0, 0, 0, 0},
	{0, 735, 100, 835, 250, 0, 0, 0, 0},
	{0, 810, 100, 910, 250, 0, 0, 0, 0},
/* FILTER */
	{0, 655, 400, 775, 550, 0, 0, 0, 0},
	{0, 735, 400, 835, 550, 0, 0, 0, 0},
	{0, 810, 400, 910, 550, 0, 0, 0, 0},
/* MAIN OUT */
	{0, 900, 80, 1000, 300, 0, 0, 0, 0},
};

brightonResource mini = {
	NULL, NULL, "Mini", "../bitmaps/background.xpm", DEVICE_COUNT,
		locations
};

