
/*
 *  Diverse Bristol audio routines.
 *  Copyright (c) by Nick Copeland <nick.copeland@ntlworld.com> 1996,2002
 *
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef BRIGHTONDEVFLAGS_H
#define BRIGHTONDEVFLAGS_H

/*
 * For rendering
 */
#define BRIGHTON_DIRECTION_MASK 0x03
#define BRIGHTON_REVERSE 0x01
#define BRIGHTON_VERTICAL 0x02
#define BRIGHTON_NOSHADOW 0x08
#define BRIGHTON_WITHDRAWN 0x020
#define BRIGHTON_STRETCH 0x010000

//#define BRIGHTON_CHECKBUTTON 0x010
#define BRIGHTON_SHIFTKEY 0x020
#define BRIGHTON_TESSELATE 0x040
//#define BRIGHTON_RADIOBUTTON 0x080
#define BRIGHTON_THREEWAY 0x0100
#define BRIGHTON_CENTER 0x0200

/*
 * rotary
 */
#define BRIGHTON_CONTINUOUS 0x01
//#define BRIGHTON_NOSHADOW 0x08

/*
 * Buttons
 */
#define BRIGHTON_BLUE 0x01
#define BRIGHTON_HALF_REVERSE 0x04
//#define BRIGHTON_NOSHADOW 0x08
#define BRIGHTON_CHECKBUTTON 0x010
#define BRIGHTON_RADIOBUTTON 0x080

/*
 * Scalers
 */
#define BRIGHTON_HAMMOND 0x04

#endif /* BRIGHTONDEVFLAGS_H */

